%define aurox_ver 9.3
%define rel 1

%define name ScientificPython
%define version 2.4.5

Summary: Various Python modules for scientific computing
Name: %{name}
Version: %{version}
Release: %{aurox_ver}.aur.%{rel}
Source0: %{name}-%{version}.tar.gz
Copyright: distributable
Group: Libraries/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://starship.python.net/crew/hinsen/scientific.html
Requires: python >= 2.2

%description
ScientificPython is a collection of Python modules that are useful for
scientific computing. In this collection you will find modules that cover
basic geometry (vectors, tensors, transformations, vector and tensor
fields), quaternions, automatic derivatives, (linear) interpolation,
polynomials, elementary statistics, nonlinear least-squares fits, unit
calculations, Fortran-compatible text formatting, 3D visualization via VRML,
and two Tk widgets for simple line plots and 3D wireframe models. For
details consult the manual.


%prep
%setup

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc LICENSE README* Doc/HTML Doc/PDF Doc/XML Examples

%changelog
* Wed Jan 28 2004 Aurox Team <aurox@aurox.org> 0:2.4.5-9.3.aur.1
- new release 2.4.5

* Tue Apr 15 2003 Robert Glowczynski <robertg@software.com.pl>
- first build for Aurox 9 using spec by Konrad Hinsen <hinsen@cnrs-orleans.fr>
